net.sourceforge.pmd.dcd

## Class DumpNodeVisitor

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.NodeVisitorAdapter
  - - net.sourceforge.pmd.dcd.DumpNodeVisitor

- All Implemented Interfaces:
    NodeVisitor

      public class DumpNodeVisitor
      extends NodeVisitorAdapter

  Dump a UsageGraph to System.out.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpNodeVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `printMember(MemberNode memberNode)`
    `Object` | `visit(ClassNode classNode, Object data)`
    `Object` | `visit(ConstructorNode constructorNode, Object data)`
    `Object` | `visit(FieldNode fieldNode, Object data)`
    `Object` | `visit(MethodNode methodNode, Object data)`
    `Object` | `visit(UsageGraph usageGraph, Object data)`
    `Object` | `visitConstructors(ClassNode classNode, Object data)`
    `Object` | `visitFields(ClassNode classNode, Object data)`
    `Object` | `visitMethods(ClassNode classNode, Object data)`
    `Object` | `visitUse(MemberNode use, Object data)`
    `Object` | `visitUser(MemberNode user, Object data)`
    `Object` | `visitUsers(MemberNode memberNode, Object data)`
    `Object` | `visitUses(MemberNode memberNode, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DumpNodeVisitor

          public DumpNodeVisitor()

  - ### Method Detail

    - #### visit

          public Object visit(UsageGraph usageGraph,
                     Object data)

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `NodeVisitorAdapter`

    - #### visit

          public Object visit(ClassNode classNode,
                     Object data)

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `NodeVisitorAdapter`

    - #### visitFields

          public Object visitFields(ClassNode classNode,
                           Object data)

      Specified by:
        `visitFields` in interface `NodeVisitor`
      Overrides:
        `visitFields` in class `NodeVisitorAdapter`

    - #### visit

          public Object visit(FieldNode fieldNode,
                     Object data)

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `NodeVisitorAdapter`

    - #### visitConstructors

          public Object visitConstructors(ClassNode classNode,
                                 Object data)

      Specified by:
        `visitConstructors` in interface `NodeVisitor`
      Overrides:
        `visitConstructors` in class `NodeVisitorAdapter`

    - #### visit

          public Object visit(ConstructorNode constructorNode,
                     Object data)

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `NodeVisitorAdapter`

    - #### visitMethods

          public Object visitMethods(ClassNode classNode,
                            Object data)

      Specified by:
        `visitMethods` in interface `NodeVisitor`
      Overrides:
        `visitMethods` in class `NodeVisitorAdapter`

    - #### visit

          public Object visit(MethodNode methodNode,
                     Object data)

      Specified by:
        `visit` in interface `NodeVisitor`
      Overrides:
        `visit` in class `NodeVisitorAdapter`

    - #### visitUses

          public Object visitUses(MemberNode memberNode,
                         Object data)

      Specified by:
        `visitUses` in interface `NodeVisitor`
      Overrides:
        `visitUses` in class `NodeVisitorAdapter`

    - #### visitUse

          public Object visitUse(MemberNode use,
                        Object data)

      Specified by:
        `visitUse` in interface `NodeVisitor`
      Overrides:
        `visitUse` in class `NodeVisitorAdapter`

    - #### visitUsers

          public Object visitUsers(MemberNode memberNode,
                          Object data)

      Specified by:
        `visitUsers` in interface `NodeVisitor`
      Overrides:
        `visitUsers` in class `NodeVisitorAdapter`

    - #### visitUser

          public Object visitUser(MemberNode user,
                         Object data)

      Specified by:
        `visitUser` in interface `NodeVisitor`
      Overrides:
        `visitUser` in class `NodeVisitorAdapter`

    - #### printMember

          protected void printMember(MemberNode memberNode)

Copyright © 2002-2013 InfoEther. All Rights Reserved.